# 标签组件

接口：

1、tag/api.update 添加标签数据

2、tag/api.typeid 根据tagid标签id, type类型获取类型id

传入参数

a、tagid：标签id

b、type：类型

3、tag/api.tag 根据$typeid类型id, type类型获取标签内容

传入参数

a、typeid：类型id

b、type：类型

3、tag/api.tag_content 根据tag标签id获取标签内容

传入参数

a、tag：标签id


后台使用：

```
在strcut里加入

'cate'		=> array
(
	'type' 		=> 'varchar-300',
	'name' 		=> '标签分类',
	'default' 	=> '1',
	'desc' 		=> '标签分类',
	'match' 	=> 'is_string',
	'update'	=> 'select',
	'option'	=> $cate,
	//'list'		=> true,
	'control'	=> 'cate',
),

'tag'		=> array
(
	'type' 		=> 'varchar-300',
	'name' 		=> '标签',
	'default' 	=> '',
	'desc' 		=> '标签',
	'match' 	=> 'is_string',
	'update'	=> 'checkbox',
	//如果要输入带有自动提示的，就打开这个，update=>'text'即可
	//'autocomplete' => array('tag/manage.getByName', 'id', 'tag/info-one#name'),
	//'list'		=> true,
	//显示
	'show'	=> 'cate=tag/manage.getByCate?cate=',
),
```