<?php

namespace Tag\Src;

use Dever;

class Api
{
	public function update($id, $name, $data)
	{	
    	$tag = Dever::param('tag', $data);
    	if (!$tag) {
    		$tag = Dever::param('tag_temp', $data);
    	}
    	$tag = explode(',', $tag);
    	foreach ($tag as $k => $v) {
    		$info = Dever::db('tag/info')->one(array('name' => $v));
    		if (!$info) {
    			$insert['name'] = $v;
    			$tag_id = Dever::db('tag/info')->insert($insert);
    		} else {
    			$tag_id = $info['id'];
    		}
    		Dever::db('tag/data')->deleteByType(array('where_type' => $name, 'where_type_id' => $id));
    		$insert['type'] = $name;
        	$insert['type_id'] = $id;
        	$insert['tag_id'] = $tag_id;
        	Dever::db('tag/data')->insert($insert);
		}
	}

	public function typeid($tag_id, $type)
	{
		$result = Dever::db('tag/data')->state(array('tag_id' => $tag_id, 'type' => $type));

		if (!$result) {
			return array();
		}
		foreach ($result as $k => $v) {	
			$type_id[] = $v['type_id'];	
		}
		return $type_id;
	}

	public function tag($type_id, $type)
	{
		$result = Dever::db('tag/data')->select(array('type_id' => $type_id,'type' => $type));
		if (!$result) {
			return array();
		}

		foreach ($result as $k => $v) {
			$tag[] = Dever::db('tag/info')->one($v['tag_id']);
		}

		return $tag;
	}

	public function tag_content($ids)
	{
		return Dever::db('tag/info')->getAll(array('ids'=>$ids));
	}

	public function getList()
	{
		return Dever::db('tag/info')->getList();
	}

	# 根据标签id获取标签数据
	public function getData($id)
	{
		$where['tag_id'] = $id;
		return Dever::db('tag/data')->getAll($where);
	}
}
