<?php

namespace Tag\Src;

use Dever;

class Manage
{
	/**
     * 获取标签信息：根据名称获取多个标签，一般用于autocomplete
     *
     * @return mixed
     */
    public function getByName()
    {
        $data = Dever::db('tag/info')->getAllByName(array
            (
                'name' => Dever::input('term'))
        );
        if ($data) {
            return $data;
        }
        return array
            (
            0 => array('id' => -1, 'value' => '没有找到您搜索的数据', 'label' => '没有找到您搜索的数据'),
        );
    }

    /**
     * 根据分类id获取标签信息
     *
     * @return mixed
     */
    public function getByCate()
    {
    	$cate = Dever::input('cate');
    	$data = Dever::db('tag/info')->getAllByCate(array('cate_id' => $cate));
    	return Dever::load('manage/database')->getAjax($data);
    }
}
