<?php

$cate = function()
{
	$array = array();
	$info = Dever::load('attr/cate-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'data',
	# 显示给用户看的名称
	'lang' => '标签数据关联表',
	# 是否显示在后台菜单
	'order' => 10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'asc',
			'list'		=> true,
		),

		'tag_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '标签ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'list'		=> true,
		),

		'type' 		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '类型',
			'default' 	=> '',
			'desc' 		=> '类型',
			'match' 	=> 'is_string',
			'list'		=> true,
		),

		'type_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '关联ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		# 列表页的类型
		
	),

	'request' => array
	(
		'deleteByType' => array
		(
			'where' => array
			(
				'type' => 'yes',
				'type_id' => 'yes',
			),

			'type' => 'delete',
		),
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				//'info_id' => 'yes',
				'tag_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('cdate' => 'desc'),
			'page' => array(12, 'list'),
			'col' => '*',
		)
	)
);
